# synfig::Mutex::Lock Class Reference

`#include <mutex.h>`

List of all members.

## Public Member Functions

| Lock (Mutex &x)
| ~Lock ()

## Constructor & Destructor Documentation

synfig::Mutex::Lock::Lock | ( | Mutex & | x | ) | `[inline]`

References synfig::Mutex::lock().

synfig::Mutex::Lock::~Lock | ( |  | ) | `[inline]`

References synfig::Mutex::unlock().

The documentation for this class was generated from the following file:

- mutex.h